# $Id: Makefile.am,v 1.11 2001/02/13 04:52:26 assar Exp $

AUTOMAKE_OPTIONS = foreign no-dependencies

libexec_PROGRAMS = zephyrd

zephyrdir = $(sysconfdir)/zephyr

zephyr_DATA = default.subscriptions
man_MANS = zephyrd.8

zephyrd_SOURCES = $(foo)

SUBDIRS = acl

# -L../lib/et

zephyrd_LDADD = ../lib/zephyr/libzephyr.a -lcom_err $(LIB_roken)
zephyrd_LDFLAGS = $(KRB4_LDFLAGS)

#
# @DEFS@ should go away with automake 1.4+
#
DEFS = -DSYSCONFDIR="\"@sysconfdir@"\" -DLOCALSTATEDIR=\"@localstatedir@\" @DEFS@

#
# To be changed to INCLUDE += with automake 1.4+
#
INCLUDES = -I../include -I$(srcdir)/../include -I.  $(CPPFLAGS_roken)

zsrv_err.h: zsrv_err.et
	$(COMPILE_ET) $(srcdir)/zsrv_err.et

zsrv_err.c: zsrv_err.h

BUILT_SOURCES = zsrv_err.c

foo = \
	zsrv_err.c	\
	access.c	\
	acl_files.c	\
	bdump.c		\
	class.c		\
	client.c	\
	common.c 	\
	dispatch.c 	\
	kopt.c 		\
	kstuff.c 	\
	main.c 		\
	server.c 	\
	subscr.c 	\
	timer.c 	\
	uloc.c 		\
	zstring.c 	\
	realm.c 	\
	version.c

CLEANFILES = zsrv_err.c zsrv_err.h
